net.fortuna.ical4j.model

## Class Content

- java.lang.Object
- - net.fortuna.ical4j.model.Content

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Parameter, Property

    public abstract class Content
    extends Object
    implements Serializable

$Id$ Created: 12/10/2004 Base class for calendar content in the form of properties and parameters.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Content()`

### Method Summary

Methods
`abstract String` `getName()`
`abstract String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Content

    public Content()

### Method Detail

#### getName

    public abstract String getName()

Returns:
  the cotent name

#### getValue

    public abstract String getValue()

Returns:
  the content value